;---------------------------------------------------------------------------------------;
;											;
;                      MSG_NATIVE2HDF.bat						;
;											;
; Utilite :										;
;   Script IDL d'execution de MSG_NATIVE2HDF.pro					;
;   (transfert des canaux MSG au format natif vers fichier HDF)				;
;											;
; Utilisation :										;
;       - Necessite l'installation prealable de la boite  outils MSG (SPT Toolbox).	;
;	(http://www.eumetsat.de/en/index.html?area=left7.html&body=/en/dps/		;
;	  helpdesk/tools.html&a=760&b=1&c=700&d=700&e=0)				;
;	- MSG_NATIF2HDF.bat doit etre copie dans le repertoire ../exemple/ 		;
;	de la SPT Toolbox pour une utilisation sans modification			;
;											;
; Limitations :										;
;	cf. MSG_NATIVE2HDF.pro								;
;											;
; Auteur :										;
;	ICARE/CGTD - F. Gabarrot - 22.02.04						;
;---------------------------------------------------------------------------------------;

;-----------------
;-- COMPILATION --
;-----------------
retall
.run ../sources/SPT_Tool.pro
.run ../sources/SPT_Access.pro
.run ../sources/SPT_Display.pro
.run ../sources/MSG_NATIVE2HDF.pro

;----------------
;-- PARAMETRES --
;----------------
;Fichier image en entre (cf. /sources/SPT_config.icl pour le repertoire d'entree)
imgfile_input   =   'MSG1-SEVI-MSG15-0008-NA-20030212134233.235000000Z-211.nat'

;Fichier image en sortie (cf. /sources/SPT_config.icl pour le repertoire de sortie)
imgfile_output  = 'MSG1-SEVI-MSG15-0008-NA-20030212134233.235000000Z-211.hdf'

;Rpertoire fichier config SPT TOOLBOX
Config_dir  = '../sources/'

;Bandes MSG  traiter
  ;.................
  ;rappel :
  ;......
    ;VIS_06   :    0
    ;VIS_08   :    1
    ;IR_1_6   :    2
    ;IR_3_9   :    3
    ;IR_6_2   :    4
    ;IR_7_3   :    5
    ;IR_8_7   :    6
    ;IR_9_7   :    7
    ;IR_10_8  :    8
    ;IR_12_0  :    9
    ;IR_13_4  :   10
  ;.................

VBand=[0,6,8,9]  ;a adapter
VBandText=['Visible 0.6 microns','IR 8.7 microns','IR 10.8 microns','IR 12 microns']  ;a adapter

;Visualisation 0:oui/1:non
disOnOff=1

;-------------
;-- PROCESS --
;-------------
;Lecture parametre de config
st = SPT_TL_GET_CONTEXT(ctx, DIR=Config_dir)
if not (st eq 0) then begin $
 print, "!!!!!Erreur de lecture fichier config!!!!!!" & $
 STOP & $
endif

;Natif2hdf
st = MSG_NATIVE2HDF(ctx, imgfile_input,imgfile_output,VBand,VBandText,disOnOff)
if not (st eq 0) then begin $
 print, "!!!!!Erreur dans la conversion du fichier!!!!!!" & $
 STOP & $
endif

;-------------------------------------------------------------------
